Investors, warrants & staking

Update Warrant Sign Status

Sets a warrant's status and isSigned from the investor side and emails org admins that the document was signed.

POSThttps://api.toku.com/tga/update-warrant-sign-status

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/tga/update-warrant-sign-status' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "warrantID": "string"
}'
200 response
{
  "warrantID": "string",
  "roleInOrgID": "string",
  "warrantName": "string",
  "investorEntityID": "string",
  "warrantDescription": "string",
  "warrantStatus": "DRAFT",
  "warrantConfigurationID": "string",
  "firmName": "string",
  "amount": 0,
  "price": 0,
  "totalValue": 0,
  "issueDate": "string",
  "expirationDate": "string",
  "lockupPeriodMonths": 0,
  "lockupFrequencyType": "string",
  "unlockDateOverride": "string",
  "agreementSignedAt": "string",
  "exerciseNoticeSignedAt": "string",
  "exerciseNoticeTermsHash": "string",
  "exerciseNoticeEnvelopeID": "string",
  "exerciseNoticeEnvelopeCompletedAt": "string",
  "paidAt": "string",
  "settledAt": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "legacyMigratedAt": "string",
  "legacyModelID": 0,
  "isSigned": true,
  "isPaid": true,
  "isExercised": true,
  "isUnderLockup": true,
  "isOffPlatform": true,
  "isTerminated": true,
  "warrantLabel": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

warrantIDstringrequired
statusanyrequired

Response

200Successful response
warrantIDstringrequired
roleInOrgIDstringrequired
warrantNamestringrequired
investorEntityIDstring | nullrequired
warrantDescriptionstring | nullrequired
warrantStatusstringrequired

Available options: DRAFT, AGREEMENT_SENT, AGREEMENT_SIGNED, EXERCISE_NOTICE_SENT, EXERCISE_NOTICE_SIGNED, EXERCISE_ELIGIBLE, PENDING_PAYMENT_VERIFICATION, PAID, IN_LOCKUP, SETTLED, PENDING_SETTLEMENT

warrantConfigurationIDstringrequired
firmNamestring | nullrequired
amountnumberrequired
pricenumber | nullrequired
totalValuenumber | nullrequired
issueDatestringrequired
expirationDatestring | nullrequired
lockupPeriodMonthsinteger | nullrequired
lockupFrequencyTypestringrequired
unlockDateOverridestring | nullrequired
agreementSignedAtstring | nullrequired
exerciseNoticeSignedAtstring | nullrequired
exerciseNoticeTermsHashstring | null
exerciseNoticeEnvelopeIDstring | null
exerciseNoticeEnvelopeCompletedAtstring | null
paidAtstring | nullrequired
settledAtstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
legacyMigratedAtstring | nullrequired
legacyModelIDinteger | nullrequired
isSignedboolean | nullrequired
isPaidboolean | nullrequired
isExercisedboolean | nullrequired
isUnderLockupboolean | nullrequired
isOffPlatformboolean | nullrequired
isTerminatedboolean | nullrequired
warrantLabelstring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits